@import "pref";

body {
  background-color: $color-bg-body;
}

img {
  max-width: 100%;
  height: auto;
}

.dwfe-common-link {
  $link-color: $color-deep-cerulean-approx;

  color: $link-color;
  text-decoration: underline;
  border-radius: $border-radius-2x;

  cursor: pointer;
  transition: opacity 0.15s ease;

  &:link,
  &:visited {
    color: $link-color;
  }

  &:hover,
  &:focus {
    background-color: rgba($link-color, 0.15);
    text-decoration: none;
    outline-width: 0;
  }

  &:active {
    opacity: 0.5;
  }
}

//
// UTIL
//
.visually-hidden:not(:focus):not(:active) { // https://allyjs.io/tutorials/hiding-elements.html#2017-edition-of-visuallyhidden
  position: absolute;

  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;

  white-space: nowrap;

  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.dwfe-modal-open {
  overflow: hidden;
}
